  function targMap = targDataMap(),

  ;%***********************
  ;% Create Parameter Map *
  ;%***********************
      
    nTotData  = 0; %add to this count as we go
    nTotSects = 1;
    
    ;%
    ;% Define dummy sections & preallocate arrays
    ;%
    dumSection.nData = -1;  
    dumSection.data  = [];
    
    dumData.logicalSrcIdx = -1;
    dumData.dtTransOffset = -1;
    
    ;%
    ;% Init/prealloc paramMap
    ;%
    paramMap.nSections           = nTotSects;
      paramMap.sections(nTotSects) = dumSection; %prealloc
    paramMap.nTotData            = -1;
    
    ;%
    ;% Auto data (rtP)
    ;%
      section.nData     = 18;
      section.data(18)  = dumData; %prealloc
      
	;% rtP.S_Function_P1_Size
	section.data(1).logicalSrcIdx = 0;
	section.data(1).dtTransOffset = 0;
	
	;% rtP.S_Function_P1
	section.data(2).logicalSrcIdx = 1;
	section.data(2).dtTransOffset = 2;
	
	;% rtP.S_Function_P2_Size
	section.data(3).logicalSrcIdx = 2;
	section.data(3).dtTransOffset = 8;
	
	;% rtP.S_Function_P2
	section.data(4).logicalSrcIdx = 3;
	section.data(4).dtTransOffset = 10;
	
	;% rtP.S_Function_P3_Size
	section.data(5).logicalSrcIdx = 4;
	section.data(5).dtTransOffset = 11;
	
	;% rtP.S_Function_P3
	section.data(6).logicalSrcIdx = 5;
	section.data(6).dtTransOffset = 13;
	
	;% rtP.S_Function_P4_Size
	section.data(7).logicalSrcIdx = 6;
	section.data(7).dtTransOffset = 14;
	
	;% rtP.S_Function_P4
	section.data(8).logicalSrcIdx = 7;
	section.data(8).dtTransOffset = 16;
	
	;% rtP.get_positions_Gain
	section.data(9).logicalSrcIdx = 8;
	section.data(9).dtTransOffset = 17;
	
	;% rtP.scale1_Gain
	section.data(10).logicalSrcIdx = 9;
	section.data(10).dtTransOffset = 27;
	
	;% rtP.Dac2_Value_Value
	section.data(11).logicalSrcIdx = 10;
	section.data(11).dtTransOffset = 28;
	
	;% rtP.Sine_Wave_Amp
	section.data(12).logicalSrcIdx = 11;
	section.data(12).dtTransOffset = 29;
	
	;% rtP.Sine_Wave_Bias
	section.data(13).logicalSrcIdx = 12;
	section.data(13).dtTransOffset = 30;
	
	;% rtP.Sine_Wave_Freq
	section.data(14).logicalSrcIdx = 13;
	section.data(14).dtTransOffset = 31;
	
	;% rtP.Sine_Wave_Phase
	section.data(15).logicalSrcIdx = 14;
	section.data(15).dtTransOffset = 32;
	
	;% rtP.scale_Gain
	section.data(16).logicalSrcIdx = 15;
	section.data(16).dtTransOffset = 33;
	
	;% rtP.Saturation_UpperSat
	section.data(17).logicalSrcIdx = 16;
	section.data(17).dtTransOffset = 34;
	
	;% rtP.Saturation_LowerSat
	section.data(18).logicalSrcIdx = 17;
	section.data(18).dtTransOffset = 35;
	
      nTotData = nTotData + section.nData;
      paramMap.sections(1) = section;
      clear section
      
    
      ;%
      ;% Non-auto Data (parameter)
      ;%
    

    ;%
    ;% Add final counts to struct.
    ;%
    paramMap.nTotData = nTotData;
    


  ;%**************************
  ;% Create Block Output Map *
  ;%**************************
      
    nTotData  = 0; %add to this count as we go
    nTotSects = 2;
    
    ;%
    ;% Define dummy sections & preallocate arrays
    ;%
    dumSection.nData = -1;  
    dumSection.data  = [];
    
    dumData.logicalSrcIdx = -1;
    dumData.dtTransOffset = -1;
    
    ;%
    ;% Init/prealloc sigMap
    ;%
    sigMap.nSections           = nTotSects;
      sigMap.sections(nTotSects) = dumSection; %prealloc
    sigMap.nTotData            = -1;
    
    ;%
    ;% Auto data (rtB)
    ;%
      section.nData     = 4;
      section.data(4)  = dumData; %prealloc
      
	;% rtB.S_Function
	section.data(1).logicalSrcIdx = 0;
	section.data(1).dtTransOffset = 0;
	
	;% rtB.scale1
	section.data(2).logicalSrcIdx = 1;
	section.data(2).dtTransOffset = 5;
	
	;% rtB.Clock
	section.data(3).logicalSrcIdx = 2;
	section.data(3).dtTransOffset = 7;
	
	;% rtB.Saturation
	section.data(4).logicalSrcIdx = 3;
	section.data(4).dtTransOffset = 8;
	
      nTotData = nTotData + section.nData;
      sigMap.sections(1) = section;
      clear section
      
      section.nData     = 1;
      section.data(1)  = dumData; %prealloc
      
	;% rtB.TmpHiddenBuffer_Feeding_sfunxy
	section.data(1).logicalSrcIdx = 4;
	section.data(1).dtTransOffset = 0;
	
      nTotData = nTotData + section.nData;
      sigMap.sections(2) = section;
      clear section
      
    
      ;%
      ;% Non-auto Data (signal)
      ;%
    

    ;%
    ;% Add final counts to struct.
    ;%
    sigMap.nTotData = nTotData;
    


  ;%
  ;% Add individual maps to base struct.
  ;%

  targMap.paramMap  = paramMap;    
  targMap.signalMap = sigMap;
  
  ;%
  ;% Add checksums to base struct.
  ;%


  targMap.checksum0 = 1123973880;
  targMap.checksum1 = 1517519530;
  targMap.checksum2 = 1532110102;
  targMap.checksum3 = 1253501133;

